Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Class AblePlatformPreferences.ServiceEntry_

    java.lang.Object
      com.ibm.able.platform.AblePlatformPreferences.ServiceEntry_

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AblePlatformPreferences

public final class AblePlatformPreferences.ServiceEntry_
extends java.lang.Object
implements java.io.Serializable

This class encapsulates the definition of a single platform Service as found in a platform preference file. When used in a keyed collection, the Service's alias (which must be the Service's SERVICE_TYPE) is used as the key.

See Also:
  Serialized Form

Constructor Summary
`AblePlatformPreferences.ServiceEntry_(AblePlatformPreferences.ServiceEntry_ theServiceEntry)`
`AblePlatformPreferences.ServiceEntry_(java.lang.String theServiceAlias, java.lang.String theAgentPoolAlias, java.lang.String theFactoryClassName, boolean thePersistenceFlag, java.lang.String thePersistenceDatabase, java.lang.String thePersistenceTable, java.lang.String thePersistenceSchema, long thePersistenceRetry, java.util.HashMap theServiceProperties)`

Method Summary
`java.lang.String` | `getAgentPoolAlias()`
`AblePlatformPreferences.AgentPoolEntry_` | `getAgentPoolInfo()`
`java.lang.String` | `getFactoryClassName()`
`java.lang.String` | `getPersistenceDatabase()`
`boolean` | `getPersistenceFlag()`
`long` | `getPersistenceRetry()`
`java.lang.String` | `getPersistenceSchema()`
`java.lang.String` | `getPersistenceTable()`
`java.lang.String` | `getServiceAlias()`
`java.util.HashMap` | `getServiceProperties()`
`java.lang.String` | `getServiceType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AblePlatformPreferences.ServiceEntry_

    public AblePlatformPreferences.ServiceEntry_(java.lang.String theServiceAlias,
                                                 java.lang.String theAgentPoolAlias,
                                                 java.lang.String theFactoryClassName,
                                                 boolean thePersistenceFlag,
                                                 java.lang.String thePersistenceDatabase,
                                                 java.lang.String thePersistenceTable,
                                                 java.lang.String thePersistenceSchema,
                                                 long thePersistenceRetry,
                                                 java.util.HashMap theServiceProperties)

### AblePlatformPreferences.ServiceEntry_

    public AblePlatformPreferences.ServiceEntry_(AblePlatformPreferences.ServiceEntry_ theServiceEntry)

Method Detail

### getServiceAlias

    public java.lang.String getServiceAlias()

### getServiceType

    public java.lang.String getServiceType()

### getFactoryClassName

    public java.lang.String getFactoryClassName()

### getAgentPoolAlias

    public java.lang.String getAgentPoolAlias()

### getAgentPoolInfo

    public AblePlatformPreferences.AgentPoolEntry_ getAgentPoolInfo()

### getPersistenceFlag

    public boolean getPersistenceFlag()

### getPersistenceDatabase

    public java.lang.String getPersistenceDatabase()

### getPersistenceTable

    public java.lang.String getPersistenceTable()

### getPersistenceSchema

    public java.lang.String getPersistenceSchema()

### getPersistenceRetry

    public long getPersistenceRetry()

### getServiceProperties

    public java.util.HashMap getServiceProperties()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005